unit IconTypes;

interface

uses Windows;

const
  Win3 = $30000;

type
  TIconHeader = packed record
    wReserved: word;
    wType: word;
    wCount: word;
  end;

  PIconResInfo = ^TIconResInfo;
  TIconResInfo = packed record
    Width: byte;
    Height: byte;
    ColorCount: byte;
    Reserved: byte;
    Planes: word;
    BitCount: word;
    BytesInRes: DWord;
  end;

  TFileIconResInfo = packed record
    ResInfo: TIconResInfo;
    dwImageOffset: DWord;
  end;

  TResourceIconResInfo = packed record
    ResInfo: TIconResInfo;
    ID: word;
  end;

  PResourceIconDirList = ^TResourceIconDirList;
  TResourceIconDirList = array[0..0] of TResourceIconResInfo;

  PFileIconDirList = ^TFileIconDirList;
  TFileIconDirList = array[0..0] of TFileIconResInfo;

  PIconHandleList = ^TIconHandleList;
  TIconHandleList = array[0..0] of HIcon;

  PNameRec = ^TNameRec;
  TNameRec = packed record
    rnOffset: word;
    rnLength: word;
    rnFlags: word;
    rnID: word;
    rnHandle: word;
    rnUsage: word;
  end;

  PNameRecArray = ^TNamerecArray;
  TNameRecArray = array[0..0] of TNameRec;

  PPointerArray = ^TPointerArray;
  TPointerArray = array[0..0] of Pointer;

  TTypeRec = packed record
    rtTypeID: word;
    rtResourceCount: word;
    rtReserved: DWORD;
  end;

  PNameInfo = ^TNameInfo;
  TNameInfo = array[0..0] of TNameRec;

  TTypeInfo = packed record
    TypeInfo: TTypeRec;
    NameInfo: Pointer;
  end;

  PDWordArray = ^TDWordArray;
  TDWordArray = array[0..0] Of DWord;

implementation

end.
